c
      subroutine  graph ( wx, wy, x0, x9, y0, y9, facx, facy,
     :                    imx, jmx, nx, ny, jx, jy, m, xmx, shft )
c
c      if m > 0 then sections are drawed and
c                    the length of m means the pen no. to be reset.
c      if m < 0 then labels are drawed on the right hand side.
c
      character*6  jx, jy
      common  /grpar/ d, dno
c
      imz = mod( imx,100 )
      jmz = mod( jmx,100 )
      isx = iabs(imx)/10000
      isy = iabs(jmx)/10000
      irx = max( mod(iabs(imx),10000)/100, 2 )
      iry = max( mod(iabs(jmx),10000)/100, 2 )
c
      fct = 10.0**max(ny,0)
      if ( ny .le. -2 ) fct = 1.0e3
c
      xxx  = x9 -x0
      yyy  = y9 -y0
      facx =  wx          /xxx
      facy = (wy-2.0*shft)/yyy
      xxx  = xxx/float(imz)
      yyy  = int( yyy*fct+0.001*sign(1.0,yyy) )/( float(jmz)*fct )
c
      d    = 0.5
cx    if ( wx .lt. 4.0 .or. wy .lt. 4.0 ) d = 0.45
      dsym = d *0.9
      dno  = d *0.9
c
      call rect ( 0.0, 0.0, wx, wy, 0.0, 0 )
c
      do 10 i = 1,imz+1
       a   = xxx*float( i-1 )
       xx  = a  *facx
       dxy = 0.15
c
       if ( mod(i-1-isx,irx) .eq. 0 ) then
         dxy = 0.2
c
         if ( m .gt. 0 ) then
           call newpen( 0 )
           call plot  ( xx,wy ,3 )
           call plot  ( xx,0.0,2 )
           call newpen( m )
         end if
c
         if ( nx .gt. -2 ) then
           px = amod( a+x0,xmx )
           nn = nx
           if ( px .eq. 0.0 ) nn = min( nn,1 )
           call number( xx,-d,dno,px,0.0,nn+isign(100,nn) )
         end if
       end if
c
       call plot  ( xx,wy    ,3 )
       call plot  ( xx,wy-dxy,2 )
       call plot  ( xx,   dxy,3 )
       call plot  ( xx,0.0   ,2 )
   10 continue
c
c?    if ( ichar(jx(1:1)) .ge. 128 .or. ichar(jx(3:3)) .ge. 128 ) then
c?      call nkanji( xx-0.8,-d-dsym-0.1,dsym,jx,0.0,3 )
c?    else
c?      call symbol( xx-0.8,-d-dsym-0.1,dsym,jx,0.0,6 )
c?    end if
c
      do 20 j = 1,jmz+1
       a   = yyy*float( j-1 )
       yy  = a  *facy +shft
       dxy = 0.15
c
       if ( mod(j-1-isy,iry) .eq. 0 ) then
         dxy = 0.2
c
         if ( m .gt. 0 ) then
           call newpen( 0 )
           call plot  ( wx ,yy,3 )
           call plot  ( 0.0,yy,2 )
           call newpen( m )
         end if
c
         if ( ny .gt. -2 ) then
           py = a  +y0
           if ( m .lt. 0 ) then
             xo = wx +d*0.28
             np = isign( 300, ny )
           else
             xo =    -d*0.28
             np = isign( 500, ny )
           end if
           call number( xo,yy,dno,py,0.0,ny+np )
         end if
       end if
c
       call plot  ( wx    ,yy,3 )
       call plot  ( wx-dxy,yy,2 )
       call plot  (    dxy,yy,3 )
       call plot  ( 0.0   ,yy,2 )
   20 continue
c
      dd = -d -dsym
      if ( m .lt. 0 ) dd = wx
c
c?    if ( ichar(jy(1:1)) .ge. 128 .or. ichar(jy(3:3)) .ge. 128 ) then
c?      call nkanji( dd,wy+dno-0.1,dsym,jy,0.0,3 )
c?    else
c?      call symbol( dd,wy+dno-0.1,dsym,jy,0.0,6 )
c?    end if
c
      return
      end
c
      subroutine  xlabel( x, y, wx, xst, xed, facx, imx, nx )
c
      common  /grpar/ d, dno
c
      xxx  = xed -xst
      facx = wx/xxx
      xxx  = xxx/float(imx)
c
      do 10 i = 1,imx+1,2
       a  = xxx*float( i-1 )
       xx = x +a*facx
       px = a +xst
       call number( xx,y-d,dno,px,0.0,nx+isign(100,nx) )
   10 continue
c
      return
      end
c
      subroutine  ylabel( x, y, wy, yst, yed, facy, jmx, ny, shft )
c
      common  /grpar/ d, dno
c
      yyy  = yed -yst
      facy =(wy-2.0*shft)/yyy
      yyy  = yyy/float(jmx)
c
      do 20 j = 1,jmx+1,2
       a   = yyy*float( j-1 )
       yy  = y +a*facy +shft
       py  = a +yst
       xo  = x +d*0.28
       call number( xo,yy,dno,py,0.0,ny+isign(300,ny) )
   20 continue
c
      return
      end
