c
      subroutine  graphl( wx, wy, x0, x9, y0, y9, facx, facy,
     :                    imx, jmx, nx, ny, m, shft )
c
c       imx and nx: dummy
c
      parameter ( mp=6 )
      character  pwr*5/'$10^ '/
      dimension  pln(mp)
      data  pln / 1.0,10.0,30.0,100.0,300.0,1000.0/
c
      imz = mod( imx,100 )
      jmz = mod( jmx,100 )
      isx = iabs(imx)/10000
      isy = iabs(jmx)/10000
      irx = max( mod(iabs(imx),10000)/100, 2 )
      iry = max( mod(iabs(jmx),10000)/100, 2 )
c
      fct = 10.0**max(ny,0)
      if ( ny .le. -2 ) fct = 1.0e3
c
      xxx  = log10( x9 )-log10( x0 )
      yyy  = y9 -y0
      facx =  wx          /xxx
      facy = (wy-2.0*shft)/yyy
      xxx  = xxx/float(imz)
      yyy  = int( yyy*fct+0.001*sign(1.0,yyy) )/( float(jmz)*fct )
c
      d    = 0.5
      dno  = d *0.9
c
      call rect ( 0.0, 0.0, wx, wy, 0.0, 0 )
c
      do j = -1,10
        ff = 10.0**j
                          iend = 9
        if ( nx .lt. -1 ) iend = 1
      do i = 1,iend
        xx = ( log10(i*ff)-log10(x0) )*facx
        if ( xx .lt. 0. ) cycle
        if ( xx .gt. wx ) exit
c
                        dxy = 0.15
        if ( i .eq. 1 ) dxy = 0.20
c
        call plot  ( xx, wy    , 3 )
        call plot  ( xx, wy-dxy, 2 )
        call plot  ( xx,    dxy, 3 )
        call plot  ( xx, 0.0   , 2 )
c
        if ( iend .eq. 1 .and. mod(j+1,2) .eq. 1 ) then
          write(pwr(5:5),'(i1)') j
          call symbol( xx, -d, dno, pwr, 0.0, 105 )
        end if
      end do
      end do
c
      if ( nx .ge. -1 ) then
        do i = 1,mp
          plm = pln(i) * x0
c
          xx = ( log10(plm)-log10(x0) )*facx
          if ( xx .lt. 0. ) cycle
          if ( xx .gt. wx ) exit
c
                              nn =-101
          if ( plm .lt. 1.0 ) nn = 101
          call number( xx, -d, dno, plm, 0.0, nn )
        end do
      end if
c
      do j = 1,jmz+1
        a   = yyy*float( j-1 )
        yy  = a  *facy +shft
        dxy = 0.15
c
        if ( mod(j-1-isy,iry) .eq. 0 ) then
          dxy = 0.2
c
          if ( ny .gt. -2 ) then
            py = a  +y0
            if ( m .lt. 0 ) then
              xo = wx +d*0.28
              np = isign( 300, ny )
            else
              xo =    -d*0.28
              np = isign( 500, ny )
            end if
            call number( xo, yy, dno, py, 0.0, ny+np )
          end if
        end if
c
        call plot  ( wx    , yy, 3 )
        call plot  ( wx-dxy, yy, 2 )
        call plot  (    dxy, yy, 3 )
        call plot  ( 0.0   , yy, 2 )
      end do
c
      return
      end
