#!/bin/sh

# Directories
SDIR=/home/naka/les_for_es/src
DDIR=/work/les
#

cd $SDIR
make les

cd $DDIR
time $SDIR/les << EOF

&les1
nrun  = 3
nstep = 960
iout  = 1
jout  = 120
lout  = 10
/
&les2
isfc = 2
icon = -1
jmin = 0
rlat = 99.9
dt   = 1.0
dx   = 25.0
dy   = 25.0
dz   = 25.0
ugsf = 0.0
tsf  = 290.0
hglw = 1000.0
hgmd = 1000.0
gtlw = 0.0
gtmd = 0.0
gamt = 0.004
z0m  = 0.001
tfmx = 0.0
dhour= 0.0
nflay= 4
nspl = 0
nspu = 0
csp  = 0.0
/
&les3
xbub = 3025.0
ybub = 3025.0
zbub =  900.0
xbr  =   87.5
ybr  =   87.5
zbr  =   37.5
tbub =  285.0
/
EOF
