#!/bin/sh

###
. PATH.sh
###

# Directories
SDIR=/home/naka/les_for_es/src
DDIR=/work/les
#

cd $SDIR
make les_typh

cd $DDIR
time $SDIR/les_typh << EOF1

&les1
nrun  = 55
nstep = 72000
iout  = 0
jout  = 18000
lout  = 1000
/
&les2
isgs = 0
isfc = 1
icon = -1
jmin = 0
rlat = 34.5
dt   = 0.2
dx   = 80.0
dy   = 80.0
dz   = 40.0
ugsf =  0.0
vgsf = 30.0
tsf  = 300.0
qsf  = 0.0
psf  = 1000.0
hglw =  800.0
hgmd = 1200.0
gtlw = 0.0
gtmd = 0.01
gamt = 0.004
z0m  = 0.1
tfmx = 0.0
dhour= 0.0
nflay= 5
nspu = 16
csp  = 0.01
/
&les3
/
EOF1

time $SDIR/les_typh << EOF2

&les1
nrun  = 56
nstep = 72000
iout  = 0
jout  = 18000
lout  = 1000
/
&les2
isgs = 0
isfc = 1
icon = -1
jmin = 0
rlat = 34.5
dt   = 0.2
dx   = 80.0
dy   = 80.0
dz   = 40.0
ugsf =  0.0
vgsf = 30.0
tsf  = 300.0
qsf  = 0.0
psf  = 1000.0
hglw =  800.0
hgmd = 1200.0
gtlw = 0.0
gtmd = 0.01
gamt = 0.004
z0m  = 0.001
tfmx = 0.0
dhour= 0.0
nflay= 5
nspu = 16
csp  = 0.01
/
&les3
/
EOF2
