c **********************************************************************
c *   Expedient, hydrostatic pressure                                  *
c *                                                                    *
c *   # Normally the hydrostatic pressure may be computed by using     *
c *     horizontally-averaged values. This pressure is applied to      *
c *     the condensation and radiation processes.                      *
c **********************************************************************
c
      subroutine  hydro_pressure
c
      include  "Declare.h"
c
      gtz = g  /tref**2 * dz
      ak  = cp /rd
c
      do j = 2,ny-1
      do k = nz,1,-1
      do i = 2,nx-1
        pp   = 2.0 *ev /( pi0( i ,k+1, j )+pi0(i,k,j) )
        tvv  = ( t (i,k,j) +tref +pp*ql(i,k,j) )
     :        *( 1.0 +0.61*q (i,k,j) -1.61*ql(i,k,j) ) -tref
c
        pi(i,k,j) = pi( i ,k+1, j ) -gtz*tvv
      end do
      end do
      end do
c
      do j = 2,ny-1
      do k = 1,nz+1
      do i = 1,mx
        p (i,k,j) = p0*( ( pi(i,k,j)+pi0(i,k,j) )/cp )**ak
      end do
      end do
      end do
c
c?    call bc_lat_scalar ( pi )
c?    call bc_lat_scalar ( p  )
c
      return
      end
