/***********************************************************
 *  A package of 'Calcomp' plotter subroutine (Ver.2)      *
 *                                                         *
 *    Include file for loading font.                       *
 *                                                         *
 *                        Oct/1995.  coded by M.Nakanishi  *
 ***********************************************************/

#define  JSTYL  JoinMiter   /* or JoinBevel */

#if  CALCOMP
    #ifdef  R4
	int  FNUM = 5;   /* The number of loading font for English */
	int  JNUM = 4;   /* The number of loading font for Japanese */

	char  *font_name[] = {
		"-adobe-times-medium-r-normal--14-*",
		"-adobe-times-medium-r-normal--17-*",
		"-adobe-times-medium-r-normal--20-*",
		"-adobe-times-medium-r-normal--25-*",
		"-adobe-times-medium-r-normal--34-*",

		"-*-*-medium-r-normal--14-*-*-*-*-*-jisx0208.1983-0",
		"-*-*-medium-r-normal--16-*-*-*-*-*-jisx0208.1983-0",
		"-*-mincho-medium-r-normal--27-*-*-*-*-*-jisx0208.1983-0",
		"-*-mincho-medium-r-normal--35-*-*-*-*-*-jisx0208.1983-0"
		};
	char  font_dot[] = { 14, 17, 20, 25, 34, 14, 16, 27, 35 };
    #else
	int  FNUM = 4;   /* The number of loading font */
	int  JNUM = 0;

	char  *font_name[] = {
		"-*-*-medium-r-normal--14-*",
		"-*-*-medium-r-normal--16-*",
		"-*-mincho-medium-r-normal--27-*",
		"-*-mincho-medium-r-normal--35-*"
		};
	char  font_dot[] = { 14, 16, 27, 35 };
    #endif

    Display   *mndisp;
    Window    mnwin, mnwinbak;
    Pixmap    mnpix;
    GC        mngcd;               /* To draw line */
    GC        mngcf;               /* To fill area */
    Colormap  mncmap;
#else
	extern int   FNUM, JNUM;
	extern char  *font_name[];
	extern char  font_dot[];

    extern Display   *mndisp;
    extern Window    mnwin;
    extern Pixmap    mnpix;
    extern GC        mngcd;
    extern GC        mngcf;
    extern Colormap  mncmap;
#endif
