c
c     Defines color bar
c
      subroutine  cdef ( bmax, m, ir, ig, ib )
c
c     Input  data : bmax = Maximum brightness (0.0-1.0)
c
      dimension  ir(m), ig(m), ib(m)
c
      if ( m .lt. 4 ) stop 'cdef error'
c
      mq = 1 +( m-2 )/3
      bm = 256.0*bmax
      dm = bm/real(mq)
c
      do i = 1,mq
        ir(i) = 0
        ig(i) = dm*(i-1) +0.5
        ib(i) = bm       +0.5
      end do
      do i = mq+1,mq*2
        ir(i) =     dm*(i-mq-1) +0.5
        ig(i) = bm              +0.5
        ib(i) = bm -dm*(i-mq-1) +0.5
      end do
      do i = mq*2+1,mq*3
        ir(i) = bm                +0.5
        ig(i) = bm -dm*(i-mq*2-1) +0.5
        ib(i) = 0
      end do
      do i = mq*3+1,m
        ir(i) = bm +0.5
        ig(i) = 0
        ib(i) = 0
      end do
c
      return
      end
