c
      subroutine  fsestm (
     i                     iflag, t, w, fh,
     i                     mx, mz, nx, nz, ny, dx, dz, dy,
     o                     tfx )
c
c     Input variables:
c       iflag           : = 0; resolved-scale
c                         <>0; total
c
      double precision  t (mx,mz,ny), w (mx,mz,ny), fh(mx,mz,ny)
      double precision  ave, tnu
      dimension  tfx(nz)
c
      tnu  = 2.1d-5 * 2.0
      rsum = 1.0/dble((nx-2)*(ny-2))
c
c  **  Calculates the resolved-scale vertical scalar flux  **
      do k = 2,nz
        ave = 0.0
c
        do j = 2,ny-1
        do i = 2,nx-1
          ave = ave +0.5*( t (i,k,j)+t ( i ,k-1, j ) )*w(i,k,j)
        end do
        end do
c
        tfx(k) = ave*rsum
      end do
c
      if ( iflag .eq. 0 ) return
c
c  **  Calculates the subgrid-scale vertical scalar flux  **
      do k = 2,nz
        ave = 0.0
c
        do j = 2,ny-1
        do i = 2,nx-1
          ave = ave -0.5*( fh(i,k,j)+fh( i ,k-1, j )+tnu )
     :                  *( t (i,k,j)-t ( i ,k-1, j ) ) / dz
        end do
        end do
c
        tfx(k) = tfx(k) + ave*rsum
      end do
c
      return
      end
