#!/bin/sh

# Directories
SDIR=/home/naka/les_for_es/src
DDIR=/work/les
#

\cp ../obs/KH.OBS $DDIR/OBS

cd $SDIR
make les

cd $DDIR
time $SDIR/les << EOF

&les1
nrun  = 1
nstep = 1800
iout  = 1
jout  = 600
lout  = 10
/
&les2
isfc = -1
icon = -1
jmin = 0
rlat = 90.0
dt   = 1.0
dx   = 25.0
dy   = 25.0
dz   = 25.0
ugsf = 0.0
tsf  = 0.0
gamt = 0.0005
z0m  = 0.01
tfmx = 0.0
nflay= 4
nspl = 0
nspu = 0
csp  = 0.0
/
&les3
/
EOF
