#!/bin/sh

# Directories
SDIR=/home/naka/les_for_es/src
DDIR=/work/les
#

cd $SDIR
make les

cd $DDIR
time $SDIR/les << EOF

&les1
nrun  = 10
nstep = 5
iout  = 0
jout  = 0
lout  = 10
/
&les2
isfc = 1
icon = -1
jmin = 390
dt   = 1.0
dx   = 50.0
dy   = 50.0
dz   = 50.0
ugsf = 10.0
tsf  = 304.0
gamt = 0.004
z0m  = 0.005
tfmx = 0.24
dhour= 11.0
nflay= 0
frate= 0.03
nspu = 0
/
&les3
/
EOF
