#!/bin/sh

###
. PATH.sh
###

# Directories
SDIR=/home/naka/les_for_es/src
DDIR=/work/les
#

cd $SDIR
make les_typh

cd $DDIR
time $SDIR/les_typh << EOF

&les1
nrun  = -30
nstep = 108000
iout  = 0
jout  = 36000
lout  = 1000
/
&les2
isgs = 1
isfc = 1
icon = -1
jmin = 0
rlat = 34.5
dt   = 0.1
dx   = 40.0
dy   = 40.0
dz   = 40.0
ugsf =  0.0
vgsf = 30.0
tsf  = 300.0
qsf  = 0.0
psf  = 1000.0
hglw = 800.0
hgmd = 800.0
gtlw = 0.0
gtmd = 0.0
gamt = 0.004
z0m  = 0.01
tfmx = 0.05
dhour= 0.0
nflay= 5
nspu = 18
csp  = 0.03
/
&les3
/
EOF
