#!/bin/sh

# Directories
SDIR=/home/naka/les_for_es/src
DDIR=/work/les
#

\cp ../obs/WNG.OBS $DDIR/OBS

cd $SDIR
make les

cd $DDIR
time $SDIR/les << EOF

&les1
nrun  = 2
nstep = 12600
iout  = 1
jout  = 1800
lout  = 100
/
&les2
isfc = 1
icon = 0
jmin = 480
rlat = -34.5
dt   = 2.0
dx   = 40.0
dy   = 40.0
dz   = 40.0
ugsf = -5.5
aglw = 1000.0
agmd = 2000.0
gulw = 0.0029
gumd = 0.0014
tsf  = 0.0
gamt = 0.0075
z0m  = 0.01
tfmx = 0.216
qfmx = 0.229e-4
dhour= 11.0
nflay= 3
nspu = 0
/
&les3
/
EOF
